Bug 7208 - apt-get неверно показывает версии удаляемых пакетов
: apt-get неверно показывает версии удаляемых пакетов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-26 16:20 by
Modified: 2011-01-22 18:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-26 16:20:09
apt-get с параметром -V неверно показывает версии пакетов, которые удаляются
при
apt-get dist-upgrade или apt-get install.

Пример:
Следующие пакеты будут УДАЛЕНЫ:
   ImageMagick (6.0.4-alt3.1)
   cups (5.0.2-alt2)
   eog2 (4.3.0-alt16)
   evolution (4.3.0-alt16)
   gedit (4.3.0-alt16)
   ghostscript (4.3.0-alt16)
   ghostscript-classic (4.3.0-alt16)
   ghostscript-cups (4.3.0-alt16)
   ghostscript-drivers (4.3.0-alt16)
   gnome-applets-battstat (4.3.0-alt16)
   gnome-applets-common (4.3.0-alt16)
   gnome-applets-drivemount (4.3.0-alt16)
   gnome-applets-gswitchit (4.3.0-alt16)
   gnome-applets-mini-commander (1.1.20-alt5.3.1)
   gnome-applets-modemlights (2.6.1-alt1)
   gnome-applets-multiload (1.5.92.1-alt0.5)
   gnome-control-center (2.6.2-alt1)
   gnome-desktop (7.07.1-alt4.1.1)
   gnome-panel (7.07.1-alt4.1.1)
   gnumeric (7.07.1-alt4.1.1)
   gqview (7.07.1-alt4.1.1)
   kdeaddons (7.07.1-alt4.1.1)
...
------- Comment #1 From 2005-11-26 00:44:50 -------
А как, по вашему, должен выглядеть вывод?
------- Comment #2 From 2007-08-06 09:25:02 -------
Я думаю, что багу нужно закрыть как WORKSFORME или INVALID.
------- Comment #3 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #4 From 2011-01-22 18:24:41 -------
Не подтверждаю.

[root@cas ~]# rpm -q rpminstall
rpminstall-1.0.0-alt0.M50P.1
[root@cas ~]# apt-get remove -V -s rpminstall
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be REMOVED:
   rpminstall (1.0.0-alt0.M50P.1)